%define upstream_name    Text-Matrix
%define upstream_version 1.00

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Text table layout for matrices of short regular data
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
the Text::Matrix manpage is a specialist table display module for display
of matrices of single-character (such as Y/N for yes/no) or short
multi-character data against row and column labels that are sufficiently
longer that conventional table layouts distort the layout of the data.

The core aim is to base the layout on the tabular data concisely and
formated regularly to reflect the terseness of the underlying data, without
being forced to compensate for the longer length of the labels for the
columns and rows.

the Text::Matrix manpage will also optionally split the matrix into several
sections based on width of the generated matrix, suitable for display in
situations where you don't want external line-wrapping to confuse the
layout. (Display on an xterm, cut-n-paste into an email, etc.)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc META.yml README SIGNATURE Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.0.0-10.mga8
+ Revision: 1497685
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.0.0-9.mga7
+ Revision: 1272054
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.0.0-8.mga6
+ Revision: 1034975
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.0.0-7.mga6
+ Revision: 948927
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.0.0-6.mga5
+ Revision: 788702
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-5.mga5
+ Revision: 749830
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-4.mga5
+ Revision: 686633
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.0-3.mga4
+ Revision: 515513
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 374123
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 20 2011 kharec <kharec> 1.0.0-1.mga2
+ Revision: 169690
- imported package perl-Text-Matrix


* Sun Nov 20 2011 cpan2dist 1.00-1mga
- initial mageia release, generated with cpan2dist
